/*** CSS Reset ***/

:root {
    --loader: rgba(165, 165, 165, 0.2);
    --loader-bg: #777;
}

* {
    margin: 0px;
    padding: 0px;
    font-family: 'Arial', sans-serif;
}

html:not([data-accessibility-use='plugin_and_html']) *:focus {
    outline: none;
}

html.ssp-inner_scroll:not([data-device="mobile"]):not([data-browser="safari"]) {
    overflow-y: hidden;
}

html.ssp-inner_scroll.ssp-outer_scroll:not([data-device="mobile"]):not([data-browser="safari"]),
html.ssp-inner_scroll.ssp-outer_scroll:not([data-device="mobile"]):not([data-browser="safari"]) #header[data-position="fixed"] #header_bar_wrapper {
    width: calc(100% - 17px);
    /* browser scrollbar width = 17px */
}

html {
    height: 100%;
    overflow-y: auto;
}

body {
    /*overflow-y: hidden;*/
    /* Removed on 18-06-21 */
    position: relative;
    min-height: 100%;
}

[data-device="mobile"][data-browser="safari"] body {
    overflow-y: hidden;
}

html,
body {
    min-width: 100%;
    /*height: 100%;*/
    /* Removed for footer */
    -webkit-overflow-scrolling: touch;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    /*overflow-x: hidden; /* To prevent scroll on flip effect */
    /* Removed on 18-06-21 */
    display: inline-block;
    /* Added on 18-06-21 */
    vertical-align: top;
    /* Solves unnecessary scrollbar when using 'inline-block' */
    touch-action: manipulation;
    /* Prevent resizing page on mobile, on double tap and inputs focus */
}

html[data-router-state="moving"],
html[data-router-state="moving"] body {
    overflow-x: hidden;
}

html[data-router-state="moving"] body {
    overflow-y: hidden;
}

a:not(:disabled),
button:not(:disabled),
select:not(:disabled) {
    cursor: pointer;
}

textarea {
    vertical-align: top;
    /* Remove extra space under textarea */
}

input,
textarea,
select,
option {
    font-family: 'Arial', sans-serif !important;
    /* Input fields must use only system fonts */
}

textarea::-webkit-input-placeholder,
input::-webkit-input-placeholder,
textarea:-moz-placeholder,
input:-moz-placeholder,
textarea::-moz-placeholder,
input::-moz-placeholder,
textarea:-ms-input-placeholder,
input:-ms-input-placeholder,
textarea::-ms-input-placeholder,
input::-ms-input-placeholder,
textarea::input-placeholder,
input::input-placeholder {
    font-family: 'Arial', sans-serif !important;
    /* Input fields must use only system fonts */
}

input::placeholder,
textarea::placeholder {
    font-family: 'Arial', sans-serif !important;
    /* Input fields must use only system fonts */
}

[data-direction="rtl"] textarea::-webkit-input-placeholder,
[data-direction="rtl"] input::-webkit-input-placeholder,
[data-direction="rtl"] textarea:-moz-placeholder,
[data-direction="rtl"] input:-moz-placeholder,
[data-direction="rtl"] textarea::-moz-placeholder,
[data-direction="rtl"] input::-moz-placeholder,
[data-direction="rtl"] textarea:-ms-input-placeholder,
[data-direction="rtl"] input:-ms-input-placeholder,
[data-direction="rtl"] textarea::-ms-input-placeholder,
[data-direction="rtl"] input::-ms-input-placeholder,
[data-direction="rtl"] textarea::input-placeholder,
[data-direction="rtl"] input::input-placeholder,
[data-direction="rtl"] input::placeholder,
[data-direction="rtl"] textarea::placeholder {
    text-align: right;
    direction: rtl;
}

.ssp-radio_fieldset {
    position: relative;
    display: inline-block;
}

::-webkit-file-upload-button {
    cursor: pointer;
}


/*** Loader ***/

.ssp-loader,
[data-mode='loading']:before {
    display: block;
    margin: auto;
    overflow: hidden;
    border-radius: 150%;
    -webkit-animation: loader 1s linear infinite;
    -moz-animation: loader 1s linear infinite;
    -ms-animation: loader 1s linear infinite;
    animation: loader 1s linear infinite;
    width: 30px;
    height: 30px;
    border: 5px solid #777;
    /* default supported fallback style */
    border-right: 5px solid rgba(165, 165, 165, 0.2);
    /* default supported fallback style */
    border-bottom: 5px solid rgba(165, 165, 165, 0.2);
    /* default supported fallback style */
    border-left: 5px solid rgba(165, 165, 165, 0.2);
    /* default supported fallback style */
    border: 5px solid var(--loader-bg);
    border-right: 5px solid var(--loader);
    border-bottom: 5px solid var(--loader);
    border-left: 5px solid var(--loader);
}

[data-mode='loading']:before,
[data-mode='success']:before {
    box-sizing: border-box;
    position: absolute;
}

[data-mode='loading']:before {
    content: '';
}

[data-mode='success']:before {
    display: block;
    margin: auto;
    /*content: '\d7';*/
    /* X */
    content: '\2713';
    /* V */
    color: rgb(0, 255, 0);
    font-weight: bold;
    display: block;
    /*font-size: 36px;*/
}

[data-mode='loading'],
[data-mode='success'] {
    cursor: default;
    pointer-events: none;
    /*display: inline-flex;*/
    align-items: center;
    justify-content: center;
    color: transparent !important;
    text-shadow: none !important;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

[data-mode='loading'][data-loading-display='inline'],
[data-mode='success'][data-loading-display='inline'] {
    display: inline-flex;
}

[data-mode='loading'][data-loading-display='block'],
[data-mode='success'][data-loading-display='block'] {
    display: flex !important;
}

[data-browser="msie"] [data-mode='loading']:before,
[data-browser="msie"] [data-mode='success']:before {
    position: relative;
}

[data-browser="msie"] [data-mode='loading'],
[data-browser="msie"] [data-mode='success'] {
    font-size: 0 !important;
    background: transparent !important;
    background-color: transparent !important;
    display: inline-flex;
}

@-webkit-keyframes loader {
    from {
        -webkit-transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
    }
}

@-moz-keyframes loader {
    from {
        -moz-transform: rotate(0deg);
    }
    to {
        -moz-transform: rotate(360deg);
    }
}

@-ms-keyframes loader {
    from {
        -ms-transform: rotate(0deg);
    }
    to {
        -ms-transform: rotate(360deg);
    }
}

@keyframes loader {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}


/*** Navigation Menu ***/

#navigation {
    position: fixed;
    top: 0px;
    left: 100%;
    width: 100%;
    height: 101%;
    z-index: 10011;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    display: none;
}

#navigation {
    /* used because of accessibility issues - menu should be "display: none" before clicking it */
    display: none;
}

#navigation[data-state="active"] {
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
}

#navigation.ssp-display {
    /* used because of accessibility issues - menu should be "display: none" before clicking it */
    display: block;
}


/*** Header ***/

#header {
    width: 100%;
    overflow: hidden;
    display: none;
}

#header[data-position="fixed"] #header_btns,
#header[data-position="fixed"] #header_bar_wrapper,
#header_btns[data-position="fixed"] {
    position: fixed !important;
    top: 0;
}

#header_btns {
    position: relative;
    /*width: 100vw;*/
    width: 100%;
    z-index: 10012;
}

.ssp-nav_opened #header_btns {
    position: fixed;
    top: 0;
}

#header_btns #menu_btn {
    position: absolute;
}

#header_btns #menu_btn span.ssp-pass {
    position: absolute;
}

[data-device="mobile"][data-browser="safari"].ssp-nav_opened body,
html[data-device="mobile"][data-browser="chrome"].ssp-nav_opened {
    overflow: hidden;
}

#header_bar_wrapper {
    width: 100%;
    z-index: 10010;
}

#header_bar_content {
    width: calc(100vw - 17px);
    /* browser scrollbar width = 17px */
}

#header_bar {
    margin: auto;
}

#header_bar_logo {
    float: left;
}

#header_bar_links {
    float: right;
}

#header_bar_links ul {
    list-style: none
}

#header_bar_links li {
    float: left;
}

#header_bar_links li:first-child {
    margin-left: 0px;
}

[data-device="mobile"] #header_bar_links {
    display: none;
}


/*** Footer ***/

#footer {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    display: none;
    z-index: 10000;
}

#footer[data-position="fixed"] {
    position: fixed;
}

[data-browser="safari"] #footer {
    /* Solve 1px space at bottom safari bug */
    -webkit-transform: translateY(3px);
    -moz-transform: translateY(3px);
    -o-transform: translateY(3px);
    transform: translateY(3px);
}


/*** Accessibility ***/

#header_btns #accessibility_btn {
    position: absolute;
    cursor: pointer;
    padding: 0;
    border: none;
    background: none;
}

#header_btns #accessibility_btn img {
    width: 100%;
    height: 100%;
}


/*** Pages ***/

#main_loader {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.ssp-page {
    display: none;
}

.ssp-page[data-state="active"] {
    display: block;
}


/*** Popup ***/

#popup {
    position: fixed;
    display: none;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 99999;
    overflow-x: hidden;
    overflow-y: auto;
    opacity: 0;
}

#popup[data-state="active"] {
    opacity: 1;
}

#popup #popup_container {
    position: absolute;
    text-align: center;
    width: 100%;
    height: 100%;
}

#popup #popup_container:before {
    content: '';
    vertical-align: middle;
    height: 100%;
    display: inline-block;
}

#popup #popup_container #popup_content {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 auto;
    padding-top: 20px;
    padding-bottom: 20px;
    max-width: 90%;
}

.ssp-popup {
    position: relative;
    display: none;
    margin: auto;
    opacity: 0;
}

[data-direction="rtl"] .ssp-popup {
    direction: rtl;
}

.ssp-popup[data-state="active"] {
    display: inline-block;
    opacity: 1;
    transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    -moz-transform: scale(1);
    -webkit-transform: scale(1);
}

.ssp-close_popup {
    font-family: Arial !important;
    position: absolute;
    top: 0px;
    right: 0px;
    border-radius: 150%;
    z-index: 999;
    cursor: pointer;
}

.ssp-close_popup:before {
    content: '\d7';
    position: relative;
}


/*** Special browsers ***/

@media \0screen {
    /* IE8 only */
    #popup {
        background-color: #4c4c4c;
    }
    #header_btns {
        width: 100%;
    }
    #navigation {
        background-color: black;
    }
    #navigation[data-state="active"] {
        left: 0px;
    }
    #header_btns #menu_btn span.ssp-pass.ssp-pass-4,
    #header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-4 {
        top: -15px;
    }
    #header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-1 {
        top: 0px;
    }
    #header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-1,
    #header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-4 {
        width: 100%;
        left: 0;
    }
    .ssp-loader {
        border: none;
        width: 80px;
    }
    .ssp-loader:after {
        content: 'Loading...';
    }
}


/*** Page Move Animations ***/


/* Move with Fade Up */

@-webkit-keyframes float_with_fade_up_out {
    0% {
        -webkit-transform: translateY(0);
    }
    100% {
        -webkit-transform: translateY(-25px);
        opacity: 0;
    }
}

@-webkit-keyframes float_with_fade_up_in {
    0% {
        -webkit-transform: translateY(25px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0);
    }
}

@-ms-keyframes float_with_fade_up_out {
    0% {
        -ms-transform: translateY(0);
    }
    100% {
        -ms-transform: translateY(-25px);
        opacity: 0;
    }
}

@-ms-keyframes float_with_fade_up_in {
    0% {
        -ms-transform: translateY(25px);
        opacity: 0;
    }
    100% {
        -ms-transform: translateY(0);
    }
}


/* Move with Fade Down */

@-webkit-keyframes float_with_fade_down_out {
    0% {
        -webkit-transform: translateY(0);
    }
    100% {
        -webkit-transform: translateY(25px);
        opacity: 0;
    }
}

@-webkit-keyframes float_with_fade_down_in {
    0% {
        -webkit-transform: translateY(-25px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateY(0);
    }
}

@-ms-keyframes float_with_fade_down_out {
    0% {
        -ms-transform: translateY(0);
    }
    100% {
        -ms-transform: translateY(25px);
        opacity: 0;
    }
}

@-ms-keyframes float_with_fade_down_in {
    0% {
        -ms-transform: translateY(-25px);
        opacity: 0;
    }
    100% {
        -ms-transform: translateY(0);
    }
}


/* Move with Fade Left */

@-webkit-keyframes float_with_fade_left_out {
    0% {
        -webkit-transform: translateX(0);
    }
    100% {
        -webkit-transform: translateX(-25px);
        opacity: 0;
    }
}

@-webkit-keyframes float_with_fade_left_in {
    0% {
        -webkit-transform: translateX(25px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
    }
}

@-ms-keyframes float_with_fade_left_out {
    0% {
        -ms-transform: translateX(0);
    }
    100% {
        -ms-transform: translateX(-25px);
        opacity: 0;
    }
}

@-ms-keyframes float_with_fade_left_in {
    0% {
        -ms-transform: translateX(25px);
        opacity: 0;
    }
    100% {
        -ms-transform: translateX(0);
    }
}


/* Move with Fade Right */

@-webkit-keyframes float_with_fade_right_out {
    0% {
        -webkit-transform: translateX(0);
    }
    100% {
        -webkit-transform: translateX(25px);
        opacity: 0;
    }
}

@-webkit-keyframes float_with_fade_right_in {
    0% {
        -webkit-transform: translateX(-25px);
        opacity: 0;
    }
    100% {
        -webkit-transform: translateX(0);
    }
}

@-ms-keyframes float_with_fade_right_out {
    0% {
        -ms-transform: translateX(0);
    }
    100% {
        -ms-transform: translateX(25px);
        opacity: 0;
    }
}

@-ms-keyframes float_with_fade_right_in {
    0% {
        -ms-transform: translateX(-25px);
        opacity: 0;
    }
    100% {
        -ms-transform: translateX(0);
    }
}


/* Burst with Fade */

@-webkit-keyframes burst_with_fade_out {
    0% {
        -webkit-transform: scale(1);
    }
    100% {
        -webkit-transform: scale(1.2);
        opacity: 0;
    }
}

@-webkit-keyframes burst_with_fade_in {
    0% {
        -webkit-transform: scale(0.8);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
    }
}

@-ms-keyframes burst_with_fade_out {
    0% {
        -ms-transform: scale(1);
    }
    100% {
        -ms-transform: scale(1.2);
        opacity: 0;
    }
}

@-ms-keyframes burst_with_fade_in {
    0% {
        -ms-transform: scale(0.8);
        opacity: 0;
    }
    100% {
        -ms-transform: scale(1);
    }
}


/* Shrink with Fade */

@-webkit-keyframes shrink_with_fade_out {
    0% {
        -webkit-transform: scale(1);
    }
    100% {
        -webkit-transform: scale(0.8);
        opacity: 0;
    }
}

@-webkit-keyframes shrink_with_fade_in {
    0% {
        -webkit-transform: scale(1.2);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
    }
}

@-ms-keyframes shrink_with_fade_out {
    0% {
        -ms-transform: scale(1);
    }
    100% {
        -ms-transform: scale(0.8);
        opacity: 0;
    }
}

@-ms-keyframes shrink_with_fade_in {
    0% {
        -ms-transform: scale(1.2);
        opacity: 0;
    }
    100% {
        -ms-transform: scale(1);
    }
}


/* Flip From Top */

@-webkit-keyframes flip_from_top_out {
    0% {
        -webkit-transform: rotateX(0deg);
    }
    100% {
        -webkit-transform: rotateX(-90deg);
    }
}

@-webkit-keyframes flip_from_top_in {
    0% {
        -webkit-transform: rotateX(-270deg);
    }
    100% {
        -webkit-transform: rotateX(-360deg);
    }
}

@-ms-keyframes flip_from_top_out {
    0% {
        -ms-transform: rotateX(0deg);
    }
    100% {
        -ms-transform: rotateX(-90deg);
    }
}

@-ms-keyframes flip_from_top_in {
    0% {
        -ms-transform: rotateX(-271deg);
    }
    100% {
        -ms-transform: rotateX(-359deg);
    }
}


/* Flip From Right */

@-webkit-keyframes flip_from_right_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(-90deg);
    }
}

@-webkit-keyframes flip_from_right_in {
    0% {
        -webkit-transform: rotateY(-270deg);
    }
    100% {
        -webkit-transform: rotateY(-360deg);
    }
}

@-ms-keyframes flip_from_right_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(-90deg);
    }
}

@-ms-keyframes flip_from_right_in {
    0% {
        -ms-transform: rotateY(-271deg);
    }
    100% {
        -ms-transform: rotateY(-359deg);
    }
}


/* Flip From Left */

@-webkit-keyframes flip_from_left_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(90deg);
    }
}

@-webkit-keyframes flip_from_left_in {
    0% {
        -webkit-transform: rotateY(270deg);
    }
    100% {
        -webkit-transform: rotateY(359deg);
    }
}

@-ms-keyframes flip_from_left_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(90deg);
    }
}

@-ms-keyframes flip_from_left_in {
    0% {
        -ms-transform: rotateY(271deg);
    }
    100% {
        -ms-transform: rotateY(359deg);
    }
}


/* Flip With Bounce From Right */

@-webkit-keyframes flip_with_bounce_from_right_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(-90deg);
    }
}

@-webkit-keyframes flip_with_bounce_from_right_in {
    0% {
        -webkit-transform: rotateY(-270deg);
    }
    50% {
        -webkit-transform: rotateY(-370deg);
    }
    70% {
        -webkit-transform: rotateY(-352deg);
    }
    80% {
        -webkit-transform: rotateY(-360deg);
    }
    95% {
        -webkit-transform: rotateY(-358deg);
    }
    100% {
        -webkit-transform: rotateY(-360deg);
    }
}

@-ms-keyframes flip_with_bounce_from_right_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(-90deg);
    }
}

@-ms-keyframes flip_with_bounce_from_right_in {
    0% {
        -ms-transform: rotateY(-271deg);
    }
    50% {
        -ms-transform: rotateY(-370deg);
    }
    70% {
        -ms-transform: rotateY(-352deg);
    }
    80% {
        -ms-transform: rotateY(-360deg);
    }
    95% {
        -ms-transform: rotateY(-358deg);
    }
    100% {
        -ms-transform: rotateY(-359deg);
    }
}


/* Flip With Bounce From Left */

@-webkit-keyframes flip_with_bounce_from_left_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(90deg);
    }
}

@-webkit-keyframes flip_with_bounce_from_left_in {
    0% {
        -webkit-transform: rotateY(270deg);
    }
    50% {
        -webkit-transform: rotateY(370deg);
    }
    70% {
        -webkit-transform: rotateY(352deg);
    }
    80% {
        -webkit-transform: rotateY(360deg);
    }
    95% {
        -webkit-transform: rotateY(358deg);
    }
    100% {
        -webkit-transform: rotateY(360deg);
    }
}

@-ms-keyframes flip_with_bounce_from_left_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(90deg);
    }
}

@-ms-keyframes flip_with_bounce_from_left_in {
    0% {
        -ms-transform: rotateY(271deg);
    }
    50% {
        -ms-transform: rotateY(370deg);
    }
    70% {
        -ms-transform: rotateY(352deg);
    }
    80% {
        -ms-transform: rotateY(360deg);
    }
    95% {
        -ms-transform: rotateY(358deg);
    }
    100% {
        -ms-transform: rotateY(359deg);
    }
}


/* Page Turn From Top */

@-webkit-keyframes page_turn_from_top_out {
    0% {
        -webkit-transform: rotateX(0deg);
    }
    100% {
        -webkit-transform: rotateX(-90deg);
    }
}

@-webkit-keyframes page_turn_from_top_in {
    0% {
        -webkit-transform: rotateX(90deg);
    }
    100% {
        -webkit-transform: rotateX(0deg);
    }
}

@-ms-keyframes page_turn_from_top_out {
    0% {
        -ms-transform: rotateX(0deg);
    }
    100% {
        -ms-transform: rotateX(-90deg);
    }
}

@-ms-keyframes page_turn_from_top_in {
    0% {
        -ms-transform: rotateX(90deg);
    }
    100% {
        -ms-transform: rotateX(0deg);
    }
}


/* Page Turn From Right */

@-webkit-keyframes page_turn_from_right_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(110deg);
    }
}

@-webkit-keyframes page_turn_from_right_in {
    0% {
        -webkit-transform: rotateY(-110deg);
    }
    100% {
        -webkit-transform: rotateY(0deg);
    }
}

@-ms-keyframes page_turn_from_right_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(110deg);
    }
}

@-ms-keyframes page_turn_from_right_in {
    0% {
        -ms-transform: rotateY(-110deg);
    }
    100% {
        -ms-transform: rotateY(0deg);
    }
}


/* Page Turn From Left */

@-webkit-keyframes page_turn_from_left_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(-110deg);
    }
}

@-webkit-keyframes page_turn_from_left_in {
    0% {
        -webkit-transform: rotateY(110deg);
    }
    100% {
        -webkit-transform: rotateY(0deg);
    }
}

@-ms-keyframes page_turn_from_left_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(-110deg);
    }
}

@-ms-keyframes page_turn_from_left_in {
    0% {
        -ms-transform: rotateY(110deg);
    }
    100% {
        -ms-transform: rotateY(0deg);
    }
}


/* Page Turn With Bounce From Top */

@-webkit-keyframes page_turn_with_bounce_from_top_out {
    0% {
        -webkit-transform: rotateX(0deg);
    }
    100% {
        -webkit-transform: rotateX(-90deg);
    }
}

@-webkit-keyframes page_turn_with_bounce_from_top_in {
    0% {
        -webkit-transform: rotateX(90deg);
    }
    50% {
        -webkit-transform: rotateX(-10deg);
    }
    70% {
        -webkit-transform: rotateX(8deg);
    }
    80% {
        -webkit-transform: rotateX(0deg);
    }
    95% {
        -webkit-transform: rotateX(2deg);
    }
    100% {
        -webkit-transform: rotateX(0deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_top_out {
    0% {
        -ms-transform: rotateX(0deg);
    }
    100% {
        -ms-transform: rotateX(-90deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_top_in {
    0% {
        -ms-transform: rotateX(90deg);
    }
    50% {
        -ms-transform: rotateX(-10deg);
    }
    70% {
        -ms-transform: rotateX(8deg);
    }
    80% {
        -ms-transform: rotateX(0deg);
    }
    95% {
        -ms-transform: rotateX(2deg);
    }
    100% {
        -ms-transform: rotateX(0deg);
    }
}


/* Page Turn With Bounce From Right */

@-webkit-keyframes page_turn_with_bounce_from_right_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(110deg);
    }
}

@-webkit-keyframes page_turn_with_bounce_from_right_in {
    0% {
        -webkit-transform: rotateY(-110deg);
    }
    50% {
        -webkit-transform: rotateY(10deg);
    }
    70% {
        -webkit-transform: rotateY(-8deg);
    }
    80% {
        -webkit-transform: rotateY(0deg);
    }
    95% {
        -webkit-transform: rotateY(-2deg);
    }
    100% {
        -webkit-transform: rotateY(0deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_right_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(110deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_right_in {
    0% {
        -ms-transform: rotateY(-110deg);
    }
    50% {
        -ms-transform: rotateY(10deg);
    }
    70% {
        -ms-transform: rotateY(-8deg);
    }
    80% {
        -ms-transform: rotateY(0deg);
    }
    95% {
        -ms-transform: rotateY(-2deg);
    }
    100% {
        -ms-transform: rotateY(0deg);
    }
}


/* Page Turn With Bounce From Left */

@-webkit-keyframes page_turn_with_bounce_from_left_out {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(-110deg);
    }
}

@-webkit-keyframes page_turn_with_bounce_from_left_in {
    0% {
        -webkit-transform: rotateY(110deg);
    }
    50% {
        -webkit-transform: rotateY(-10deg);
    }
    70% {
        -webkit-transform: rotateY(8deg);
    }
    80% {
        -webkit-transform: rotateY(0deg);
    }
    95% {
        -webkit-transform: rotateY(2deg);
    }
    100% {
        -webkit-transform: rotateY(0deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_left_out {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(-110deg);
    }
}

@-ms-keyframes page_turn_with_bounce_from_left_in {
    0% {
        -ms-transform: rotateY(110deg);
    }
    50% {
        -ms-transform: rotateY(-10deg);
    }
    70% {
        -ms-transform: rotateY(8deg);
    }
    80% {
        -ms-transform: rotateY(0deg);
    }
    95% {
        -ms-transform: rotateY(2deg);
    }
    100% {
        -ms-transform: rotateY(0deg);
    }
}


/* Custom 1 */

@-webkit-keyframes custom_1_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-webkit-keyframes custom_1_in {
    0% {
        opacity: 0;
    }
    100% {}
}

@-ms-keyframes custom_1_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-ms-keyframes custom_1_in {
    0% {
        opacity: 0;
    }
    100% {}
}


/* Custom 2 */

@-webkit-keyframes custom_2_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-webkit-keyframes custom_2_in {
    0% {
        opacity: 0;
    }
    100% {}
}

@-ms-keyframes custom_2_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-ms-keyframes custom_2_in {
    0% {
        opacity: 0;
    }
    100% {}
}


/* Custom 3 */

@-webkit-keyframes custom_3_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-webkit-keyframes custom_3_in {
    0% {
        opacity: 0;
    }
    100% {}
}

@-ms-keyframes custom_3_out {
    0% {}
    100% {
        opacity: 0;
    }
}

@-ms-keyframes custom_3_in {
    0% {
        opacity: 0;
    }
    100% {}
}


/*** Form ***/

.ssp-form_field_wrap label,
.ssp-form_field_wrap input,
.ssp-form_field_wrap select,
.ssp-form_field_wrap textarea {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.ssp-form_field_wrap input,
.ssp-form_field_wrap select,
.ssp-form_field_wrap textarea {
    resize: none;
    overflow: hidden;
}

.ssp-form_field_wrap[data-state="error"] {
    position: relative;
}

.ssp-form_field_wrap::before {
    content: '';
    display: none;
}

.ssp-form_field_wrap[data-state="error"]::before {
    position: absolute;
    display: block;
    left: 0px;
    bottom: -16px;
    font-size: 12px;
    width: auto;
    height: 16px;
    z-index: 10;
    color: red;
    padding-left: 5px;
    padding-right: 5px;
    pointer-events: none;
}

[data-direction="rtl"] .ssp-form_field_wrap[data-state="error"]::before {
    right: 0px;
    left: auto;
}

.ssp-form_field[data-state="error"]::before {
    position: absolute;
    display: block;
    left: 0px;
    bottom: -16px;
    font-size: 12px;
    width: auto;
    height: 16px;
    z-index: 10;
    color: red;
    padding-left: 5px;
    padding-right: 5px;
    pointer-events: none;
}

.ssp-error_label {
    display: none;
}

[data-direction="rtl"] .ssp-error_label {
    direction: rtl;
}

.ssp-error_label[data-state="active"] {
    display: block;
}

.ssp-error_label.ssp-animation,
.ssp-form_field_wrap[data-state="error"].ssp-animation::before {
    animation: ssp-error_label_animation 0.6s linear;
    -moz-animation: ssp-error_label_animation 0.6s linear;
    -webkit-animation: ssp-error_label_animation 0.6s linear;
    -o-animation: ssp-error_label_animation 0.6s linear;
    -ms-animation: ssp-error_label_animation 0.6s linear;
}

@keyframes ssp-error_label_animation {
    0% {
        opacity: 1;
    }
    25% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    75% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}


/*** FAQ ***/

#faq .ssp-faq_item {
    margin-top: 10px;
}

#faq .ssp-faq_item button {
    position: relative;
    width: 100%;
}

body:not([data-direction="rtl"]) #faq .ssp-faq_item button {
    text-align: left;
    padding: 10px 45px 10px 10px;
}

[data-direction="rtl"] #faq .ssp-faq_item button {
    text-align: right;
    padding: 10px 10px 10px 45px;
}

#faq .ssp-faq_item button:after {
    content: '';
    position: absolute;
    margin: auto 5px;
    top: 0px;
    bottom: 0px;
    height: 0px;
    -webkit-transition: all .2s;
    -moz-transition: all .2s;
    -ms-transition: all .2s;
    -o-transition: all .2s;
    transition: all .2s;
}

[data-direction="rtl"] #faq .ssp-faq_item button:after {
    left: 10px;
}

body:not([data-direction="rtl"]) #faq .ssp-faq_item button:after {
    right: 10px;
}

#faq .ssp-faq_item button[data-state="active"]:after {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

#faq .ssp-faq_item div {
    position: relative;
    display: none;
    padding: 10px;
    background-color: #ffffff;
}

[data-direction="rtl"] #faq .ssp-faq_item div p {
    text-align: right;
    direction: rtl;
}


/*** Loading Page ***/

.ssp-page[data-name="loading"] {
    height: calc(100vh - 180px);
}

.ssp-page[data-name="loading"]>div {
    height: 100%;
    /*display: table-cell;*/
    display: flex;
}


/*** Custom CSS ***/

.ssp-page[data-name="examples"] a {
    direction: ltr;
    /*display: inline-block;*/
}

.ssp-page[data-name="examples"] strong {
    font-size: 20px;
}

.popup-1 {
    /*background-color: green !important;*/
    background-image: none !important;
    color: white;
    font-size: 16px;
    border-radius: 10px;
}

.popup-1:before,
.popup-4:before {
    content: none !important;
}

.popup-2 {
    background-color: transparent !important;
    color: white;
    font-size: 16px;
    direction: ltr !important;
}

.popup-4 {
    background-color: transparent !important;
    background-image: url('../assets/images/samples/designed_popup.png');
    width: 300px;
    height: 381px;
    padding: 0 !important;
    box-shadow: none !important;
    border-radius: 0 !important;
}

#popup[active-popup=".popup-4"] .ssp-close_popup {
    margin-top: 10px;
    margin-right: -10px;
    width: 30px;
    height: 30px;
    background-image: url('../assets/images/samples/designed_popup_close_btn.png');
    border-radius: 0px;
    border: none;
    background-color: transparent;
    box-shadow: none;
}

#popup[active-popup=".popup-4"] .ssp-close_popup:before {
    display: none;
}

.popup-4 .content {
    width: 75%;
    padding-top: 60px;
    padding-left: 20px;
    color: white;
    font-size: 20px;
    margin: auto;
}

#form_submit_btn_container {
    min-height: 100px;
    margin-top: 15px;
}


/*** Global ***/

textarea::-webkit-input-placeholder,
input::-webkit-input-placeholder,
textarea:-moz-placeholder,
input:-moz-placeholder,
textarea::-moz-placeholder,
input::-moz-placeholder,
textarea:-ms-input-placeholder,
input:-ms-input-placeholder,
textarea::-ms-input-placeholder,
input::-ms-input-placeholder,
textarea::input-placeholder,
input::input-placeholder,
input::placeholder,
textarea::placeholder {
    color: #a6a6a6;
}


/* Inputs */

input,
select,
textarea {
    border: 1px solid #afafaf;
    font-size: 18px;
    padding: 5px;
}

input[type="checkbox"],
input[type="radio"] {
    width: 20px;
    height: 20px;
    position: relative;
    top: 5px;
}

label.ssp-checkbox_label {
    width: auto;
}

body:not([data-direction="rtl"]) .ssp-radio_fieldset {
    padding-right: 12px;
}

[data-direction="rtl"] .ssp-radio_fieldset {
    padding-left: 12px;
}


/* Buttons */

.ssp-button.ssp-blue {
    background-color: #007bff;
}

.ssp-button.ssp-blue_green {
    background-color: #00b8d8;
}

.ssp-button.ssp-green {
    background-color: #17c671;
}

.ssp-button.ssp-brown {
    background-color: #755302;
}

.ssp-button.ssp-orange {
    background-color: #ffb400;
}


/*** Loader ***/

[data-mode='loading']:before {
    mix-blend-mode: multiply;
}


/*** Navigation Menu ***/

#navigation {
    background-color: rgba(0, 0, 0, 0.8);
    -webkit-transition: 0.4s all ease;
    -moz-transition: 0.4s all ease;
    -o-transition: 0.4s all ease;
    -ms-transition: 0.4s all ease;
    transition: 0.4s all ease;
}

#navigation ul {
    margin: 10px auto;
    list-style-type: none;
}

#navigation h1 {
    color: #fff;
    text-align: center;
    margin: 50px auto;
}

[data-direction="rtl"] #navigation ul li {
    direction: rtl;
}

#navigation ul li {
    margin-top: 40px;
    text-align: center;
}

#navigation ul li a {
    color: #fff;
    font-size: 24px;
}

#navigation ul li a[data-state="active"] {
    font-weight: bold;
}


/*** Header ***/

#header,
#header_bar_wrapper {
    height: 60px;
}

#pages {
    /*margin-top: -60px; /* Header height */
    /*padding-bottom: 60px;
    padding-left: 20px;
    padding-right: 20px;*/
}

#header_btns #menu_btn {
    top: 12px;
    right: 20px;
    background-color: transparent;
    border: none;
    width: 40px;
    height: 35px;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
}

#header_btns #menu_btn span.ssp-pass {
    width: 100%;
    height: 6px;
    background-color: #000;
    border-radius: 9px;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    -ms-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#header_btns #menu_btn[data-state="open"] span.ssp-pass {
    background-color: #fff;
}

#header_btns #menu_btn span.ssp-pass.ssp-pass-1 {
    top: 0px;
}

#header_btns #menu_btn span.ssp-pass.ssp-pass-2 {
    top: 15px;
}

#header_btns #menu_btn span.ssp-pass.ssp-pass-3 {
    top: 15px;
}

#header_btns #menu_btn span.ssp-pass.ssp-pass-4 {
    top: 30px;
}

#header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-1,
#header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-4 {
    top: 15px;
    width: 0%;
    left: 50%;
}

#header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-2 {
    -webkit-transform: rotate(45deg) scale(1.2);
    -moz-transform: rotate(45deg) scale(1.2);
    -o-transform: rotate(45deg) scale(1.2);
    -ms-transform: rotate(45deg) scale(1.2);
    transform: rotate(45deg) scale(1.2);
}

#header_btns #menu_btn[data-state="open"] span.ssp-pass.ssp-pass-3 {
    -webkit-transform: rotate(-45deg) scale(1.2);
    -moz-transform: rotate(-45deg) scale(1.2);
    -o-transform: rotate(-45deg) scale(1.2);
    -ms-transform: rotate(-45deg) scale(1.2);
    transform: rotate(-45deg) scale(1.2);
}

#header_bar_wrapper {
    background-color: #e2e2e2;
}

#header_bar {
    width: 65%;
    max-width: 970px;
}

#header_bar #header_bar_logo,
#header_bar #header_bar_links {
    margin-top: 20px;
}

#header_bar_links li {
    margin-left: 10px;
}

#header_bar_links a[data-state="active"] {
    font-weight: bold;
}


/*** Footer ***/

#footer {
    height: 40px;
    background-color: black;
    color: white;
    text-align: center;
}

#footer div {
    padding-top: 10px;
    font-size: 14px;
}

[data-browser="edge"] #footer,
[data-browser="msie"] #footer {
    box-shadow: black 0px 1px 0px;
    /* Solve 1px space at bottom ie+edge bug */
}


/*** Accessibility ***/

#header_btns #accessibility_btn {
    top: 12px;
    right: 80px;
    width: 35px;
    height: 35px;
}

#accessibility {
    top: 8px !important;
    right: 75px !important;
}


/*** Pages ***/

.ssp-page {
    margin: auto;
}

.ssp-page[data-name="loading"] {
    width: 100%;
}


/*** Popup ***/

#popup {
    background-color: rgba(0, 0, 0, 1);
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
}

#popup #popup_container #popup_content {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin: 0 auto;
    padding-top: 20px;
    padding-bottom: 20px;
    max-width: 90%;
}

.ssp-popup {
    padding: 25px;
    background-color: #fff;
    min-width: 150px;
    word-break: break-word;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transform: scale(0.8);
    -ms-transform: scale(0.8);
    -o-transform: scale(0.8);
    -moz-transform: scale(0.8);
    -webkit-transform: scale(0.8);
}

.ssp-close_popup {
    margin-right: -20px;
    width: 40px;
    height: 40px;
    background-color: #000;
    border: 2px solid #fff;
}

.ssp-close_popup:before {
    font-size: 36px;
    color: #fff;
    top: -3px;
}


/*** Components ***/

.ssp-container {
    width: 100%;
    border: 1px solid black;
    margin-top: 20px;
}

[data-direction="rtl"] .ssp-container {
    direction: rtl;
}

.ssp-container .ssp-container_title {
    padding: 10px;
    background-color: #f1f1f1;
}

.ssp-container .ssp-container_content {
    padding: 10px;
}

.ssp-container {
    /* solves CSS animation issues that causes right border to disappear */
    /* Removed because is causes some problems
    -ms-transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    */
}


/*** Form ***/

.ssp-form_field_wrap {
    margin-top: 10px;
    width: 100%;
}

[data-direction="rtl"] .ssp-form_field_wrap {
    direction: rtl;
}

.ssp-form_field_wrap label,
.ssp-form_field_wrap input:not([type=checkbox]):not([type=radio]),
.ssp-form_field_wrap select,
.ssp-form_field_wrap textarea {
    width: 100%;
    font-size: 18px;
    padding: 5px;
}

.ssp-form_field_wrap label:not(.ssp-checkbox_label):not(.ssp-radio_label) {
    display: inline-block;
    margin-bottom: 3px;
}

input.ssp-form_field[data-state="error"],
select.ssp-form_field[data-state="error"],
textarea.ssp-form_field[data-state="error"] {
    animation: error 1s linear;
    -moz-animation: error 1s linear;
    -webkit-animation: error 1s linear;
    -o-animation: error 1s linear;
    -ms-animation: error 1s linear;
    border: 1px solid red;
    color: red;
}

@keyframes error {
    0% {
        border: 1px solid #afafaf;
        color: black;
    }
    20% {
        border: 1px solid red;
        color: red;
    }
    40% {
        border: 1px solid #afafaf;
        color: black;
    }
    60% {
        border: 1px solid red;
        color: red;
    }
    80% {
        border: 1px solid #afafaf;
        color: black;
    }
    100% {
        border: 1px solid red;
        color: red;
    }
}

.ssp-error_label {
    font-size: 12px;
    color: red;
    height: 15px;
}


/*** FAQ ***/

#faq .ssp-faq_item {
    background-color: #ffffff;
    border: 2px solid #000000;
}

#faq .ssp-faq_item button {
    font-size: 30px;
    color: #000000;
    border: none;
    background-color: #dcdcdc;
}

#faq .ssp-faq_item button:after {
    border-left: 10px solid transparent;
    border-top: 15px solid #000;
    border-right: 10px solid transparent;
    border-bottom: 0px solid transparent;
}

#faq .ssp-faq_item button[data-state="active"]:after {
    border-top-color: #979797;
}

#faq .ssp-faq_item div {
    background-color: #ffffff;
}

#faq .ssp-faq_item div p {
    color: #000000;
}

#faq .ssp-faq_item button,
#faq .ssp-faq_item div,
#faq .ssp-faq_item {
    border-radius: 10px;
}

#faq .ssp-faq_item div {
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}


/*** Custom CSS ***/


/*** Form ***/

#example_form {
    margin: auto;
    width: 80%;
    padding-bottom: 40px;
}

#example_form #file_uploader {
    width: 100%;
}

#example_form button {
    width: 100%;
    height: 50px;
    font-size: 24px;
    background-color: #008cba;
    color: #fff;
    border: none;
    border-radius: 4px;
}


/*** Uploader ***/

#uploader-page .uploader-btn-1 {
    width: 100%;
}

#uploader-page .uploader-btn-2 {
    background-color: green;
    text-align: center;
    width: 200px;
    padding: 20px;
    margin: auto;
    cursor: pointer;
}

#uploader-page .uploader-btn-2:hover {
    background-color: yellow;
    transition: all 2s;
    -webkit-transition: all 2s;
    -ms-transition: all 2s;
    -o-transition: all 2s;
    -moz-transition: all 2s;
}

#uploader-page .uploader-btn-2-cancel {
    padding-top: 10px;
}

#uploader-page .uploader-btn-2-result {
    text-align: left;
    padding-left: 20px;
}


/*** Youtube ***/

.youtube_advanced_example {
    height: 300px;
}

.youtube_advanced_example_video,
.youtube_advanced_example_links {
    float: left;
}

.youtube_advanced_example_links {
    padding-left: 15px;
}

.youtube_advanced_example .youtube-2 {
    width: 250px;
    height: 250px;
}

#pages h1 {
    text-align: center;
    padding-top: 20px;
    padding-bottom: 20px;
}

[data-direction="rtl"] #pages h1 {
    direction: rtl;
}


/*** Media Screen Queries ***/

@media (orientation:portrait) {}

@media (orientation:landscape) {}

@media (max-width: 640px) {}